Ask Ubuntu is a question and answer site for Ubuntu users and developers. It's 100% free.

Sign up
Here's how it works:
  1. Anybody can ask a question
  2. Anybody can answer
  3. The best answers are voted up and rise to the top

So, I downloaded cowpatty from their site[1] and I am trying to compile it. However, there is an error that prevents the make-process.

root@phil-laptop:/home/phil/wifite-2.0r85/cowpatty-4.6# make
cc -pipe -Wall -DOPENSSL  -O2 -g3 -ggdb   -c -o md5.o md5.c
md5.c:20:25: fatal error: openssl/md5.h: No such file or directory
 #include <openssl/md5.h>
                      ^
compilation terminated.
make: *** [md5.o] Error 1

OpenSSL is installed on this system. Any advice?

Thanks!

[1] http://wirelessdefence.org/Contents/coWPAttyMain.htm#Installing_coWPAtty:

share|improve this question
    
is the libssl-dev package installed? – steeldriver Mar 16 '14 at 19:05

After looking at the cowpatty Makefile:

LDLIBS = -lpcap

CFLAGS = -pipe -Wall -DOPENSSL

LDLIBS += -lcrypto

I'd suggest you to install the following development packages:

sudo apt-get install libpcap-dev libssl-dev
share|improve this answer

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.